effluents
Insert or update an effluent
Insert a new effluent record or update an existing one by its unique identifier.
POST
/
api
/
v1
/
effluents
Insert or update an effluent
curl --request POST \
--url https://www.manglai.io/api/v1/effluents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"companyId": "<string>",
"buildingIds": [
"<string>"
],
"year": 123,
"dbo": 123,
"dqo": 123,
"ss": 123,
"pt": 123,
"nt": 123
}
'import requests
url = "https://www.manglai.io/api/v1/effluents"
payload = {
"id": "<string>",
"companyId": "<string>",
"buildingIds": ["<string>"],
"year": 123,
"dbo": 123,
"dqo": 123,
"ss": 123,
"pt": 123,
"nt": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
companyId: '<string>',
buildingIds: ['<string>'],
year: 123,
dbo: 123,
dqo: 123,
ss: 123,
pt: 123,
nt: 123
})
};
fetch('https://www.manglai.io/api/v1/effluents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cuerpo
application/json
The effluent data to be inserted or updated.
The unique identifier of the effluent.
The company associated with the effluent.
The building IDs associated with the effluent.
The type of the effluent.
Opciones disponibles:
limit, quality The year of the effluent data.
Biochemical Oxygen Demand (mg/L).
Chemical Oxygen Demand (mg/L).
Suspended Solids (mg/L).
Total Phosphorus (mg/L).
Total Nitrogen (mg/L).
Respuesta
Successfully inserted or updated the effluent.
Ejemplo:
"ok"
⌘I
Insert or update an effluent

